# Generated from flickru-0.6.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flickru

Name: rubygem-%{gem_name}
Version: 0.6.5
Release: 1%{?dist}
Summary: Command-line Flickr upload automator
License: MIT
URL: http://github.com/jesuspv/flickru
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) >= 0.12.0
BuildArch: noarch

%description
Command-line tool that automatises photo/video uploads to Flickr.
Entering 'flickru <directory>' in your command line, any photos under
'directory' (and subdirs)
are uploaded to your Flickr account (interactively entered the first time you
start flickru).
Photos are identified by case-insensitive extensions: GIF, JPEG, JPG, PNG, and
TIFF.
Videos are identified by case-insensitive extensions: AVI, MPEG, and MPG.
flickru automatically sets the following Flickr metadata:
(1) date taken: file last-modification time, unless JPEG/TIFF Exif metadatum
'date_time_original' is found (Flickr understands it natively).
(2) privacy policy: private, visible by friends & family, hidden for public
searches
(3) safety level: safe
(4) permissions: friends & family can add comments to the photo and its notes;
nobody can add notes and tags to the photo
(5) description: for videos longer than 90s (Flickr's longest allowed
duration)
but shorter than 500MB (Flickr's maximum permisible size), it will contain
an annotation about its large duration.
(6) title: extracted from the parent directory name
(7) geolocation & accuracy: extracted from the parent directory name, unless
JPEG/TIFF Exif GPS metadata is found (Flickr understands them natively).
Before uploading photos, please, make sure that you have correctly named each
photos parent directory according to the name format
'TITLE[@LOCATION[#PRECISION]]',
where:
(1) TITLE is the desired title for the photos stored in the directory. If no
LOCATION is given, flickru tries to extract the location from Wikipedia
page TITLE.
(2) LOCATION is the location of the photos, specified as:
(a) the Wikipedia page name (whitespaces allowed) of the location or
(b) its coordinates LATITUDE,LONGITUDE
(3) PRECISION is the Flickr geolocation precision. Flickru sets it to one of
the following case insentitive literals: 'street', 'city', 'region',
'country', 'world'.
Photos are classified into photosets. If the photoset does not exist, flickru
creates it. This photoset is named after its grandparent directory. The
photoset is arranged by 'date taken' (older first).
To see some examples on the directory structure recognised by flickru, please
explore the subdirectories under 'var/ts'.
GitHub  : http://github.com/jesuspv/flickru
RubyGems: http://rubygems.org/gems/flickru.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/flickru
%{_bindir}/geowiki
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/share
%{gem_instdir}/var
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.6.5-1
- Initial package
